meta-pkgs/lxqt - The NetBSD Packages Collection

Meta-package for the LXQt desktop environment

LXQt is a free desktop environment with comparatively low resource
requirements. This makes it especially suitable for resource-constrained
personal computers such as netbooks or system-on-a-chip machines.

This is a meta package for the LXQt desktop environment.

Build dependencies

pkgtools/cwrappers devel/lxqt-build-tools

Runtime dependencies

wm/openbox x11/libqtxdg x11/liblxqt x11/libfm-qt graphics/lxqt-themes audio/pavucontrol-qt x11/qtermwidget graphics/lximage-qt x11/lxqt-about security/lxqt-policykit x11/lxqt-admin x11/lxqt-config x11/lxqt-globalkeys security/lxqt-openssh-askpass x11/lxqt-notificationd sysutils/lxqt-powermanagement x11/lxqt-qtplugin x11/lxqt-session security/lxqt-sudo sysutils/pcmanfm-qt x11/qterminal x11/lxqt-panel x11/lxqt-runner graphics/screengrab archivers/lxqt-archiver graphics/oxygen-icons x11/xscreensaver x11/qt5-qttranslations inputmethod/uim

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64lxqt-0.17.0nb1.tgz
NetBSD 9.0aarch64lxqt-0.16.0.tgz
NetBSD 9.0aarch64lxqt-0.17.0nb1.tgz
NetBSD 9.0earmv6hflxqt-0.17.0nb1.tgz
NetBSD 9.0earmv7hflxqt-0.17.0nb1.tgz
NetBSD 9.0i386lxqt-0.16.0.tgz
NetBSD 9.0i386lxqt-0.17.0nb1.tgz
NetBSD 9.0x86_64lxqt-0.17.0nb1.tgz
NetBSD 9.0x86_64lxqt-0.17.0nb1.tgz
NetBSD 9.0x86_64lxqt-0.16.0.tgz
NetBSD 9.0x86_64lxqt-0.17.0nb1.tgz
NetBSD 9.0x86_64lxqt-0.17.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

openbox
Use Openbox as the window manager.
xfce4-wm
Use Xfwm4 as the window manager.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.